Subject: Re: [PATCH 1/7] xdiff: introduce rust

From: Taylor Blau <[email-masked]>
Date: Thu, 17 Jul 2025 18:39:33 -0400

On Thu, Jul 17, 2025 at 09:30:43PM +0000, brian m. carlson wrote:
> In addition, as I mentioned downthread, because our intention is to
> support the Debian stable toolchain for a year after the new stable
> release, unless we are exceptionally careful about dependencies, we may
> end up with a case where distros need to use older dependencies patched
> for security but other users may want to update the versions to newer
> dependencies with security fixes but that do not work on our pinned Rust
> version.

...or Debian users who have an older version of the toolchain installed
and got an unfriendly "cannot parse 'version = 4'" error when trying to
build with this patch series applied locally ;-).

Thanks,
Taylor